Subject: RE: [External] : bug#7787: 23.2; wrong meaning for mouse-2 while in search mode

From: Drew Adams <[email-masked]>
Date: Wed, 27 Apr 2022 14:44:48 +0000

> > I'm not against reusing an existing option, I just can't
> > connect the dots between the logic of mouse-yank-at-point
> > and yanking from anywhere in the buffer.  But if OP would confirm
> > that customizing mouse-yank-at-point is indeed what is expected
> > then maybe this would be fine to be able to close this request?
> > Otherwise, a new user option or even a new command would be fine.
> 
> I've now made this change in Emacs 29.  If it turns out to be too
> surprising, or people want more configurability (for instance, they
> don't want the mouse-yank-at-point action in general, but only in
> isearch), then we can introduce a new user option.

Too bad.  As I understand it, the point of this
feature (which dates from XEmacs, IIRC), is to
provide an (optional) Isearch-specific behavior
for mouse-2 yanking to the search string.

IIUC what Juri has been saying, I too think that
`mouse-yank-at-point' is an inappropriate way to
control (what should be) this Isearch-specific
behavior.

Nothing at all suggests, let alone implies, that
someone who wants this Isearch behavior also wants
non-nil `mouse-yank-at-point' behavior everywhere.
___

You say, "If it turns out to be too surprising".

That's unlikely, as this is opt-in, and its more
likely that few people use this optional behavior
or are even aware of it.  More likely is that
only people who already use `mouse-yank-at-point'
non-nil will discover that it yanks to the search
string.  Whether they will like that or not I
can't guess, and I don't really care.  (At least
the original behavior is still available with
isearch+.el.)